package cn.iocoder.yudao.module.pms.dal.mysql.iotdailyreporttemplate;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.pms.controller.admin.iotdailyreporttemplate.vo.IotDailyReportTemplatePageReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.iotdailyreporttemplate.IotDailyReportTemplateDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 生产日报属性模板 Mapper
 *
 * @author 超级管理员
 */
@Mapper
public interface IotDailyReportTemplateMapper extends BaseMapperX<IotDailyReportTemplateDO> {

    default PageResult<IotDailyReportTemplateDO> selectPage(IotDailyReportTemplatePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<IotDailyReportTemplateDO>()
                .eqIfPresent(IotDailyReportTemplateDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(IotDailyReportTemplateDO::getProjectId, reqVO.getProjectId())
                .eqIfPresent(IotDailyReportTemplateDO::getProjectClassification, reqVO.getProjectClassification())
                .eqIfPresent(IotDailyReportTemplateDO::getWellType, reqVO.getWellType())
                .eqIfPresent(IotDailyReportTemplateDO::getWellCategory, reqVO.getWellCategory())
                .eqIfPresent(IotDailyReportTemplateDO::getTechnique, reqVO.getTechnique())
                .likeIfPresent(IotDailyReportTemplateDO::getName, reqVO.getName())
                .eqIfPresent(IotDailyReportTemplateDO::getIdentifier, reqVO.getIdentifier())
                .eqIfPresent(IotDailyReportTemplateDO::getRemark, reqVO.getRemark())
                .eqIfPresent(IotDailyReportTemplateDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(IotDailyReportTemplateDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(IotDailyReportTemplateDO::getId));
    }

}